Bug 142858 - New port: graphics/yed, An editor for graphs and diagrams
Summary: New port: graphics/yed, An editor for graphs and diagrams
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-15 12:50 UTC by Eugene Mychlo
Modified: 2010-02-12 14:50 UTC (History)
0 users

See Also:


Attachments
file.shar (2.87 KB, text/plain)
2010-01-15 12:50 UTC, Eugene Mychlo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Mychlo 2010-01-15 12:50:00 UTC
yEd is a very powerful graph editor that can be used to quickly and effectively
generate drawings and to apply automatic layouts to a range of different
diagrams and networks. 
yEd makes full use of the yFiles library. This is a Java class library enabling
the viewing, editing, optimizing, drawing, and animating of a wide range
of diagrams, networks, and other graph-like structures. 

WWW: http://www.yworks.com/en/products_yed_about.html

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-01-18 23:46:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-02-12 14:39:28 UTC
miwi        2010-02-12 14:39:14 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/yed         Makefile distinfo pkg-descr pkg-plist 
    graphics/yed/files   yed.in 
  Log:
  yEd is a very powerful graph editor that can be used to quickly and effectively
  generate drawings and to apply automatic layouts to a range of different
  diagrams and networks.
  yEd makes full use of the yFiles library. This is a Java class library enabling
  the viewing, editing, optimizing, drawing, and animating of a wide range
  of diagrams, networks, and other graph-like structures.
  
  WWW: http://www.yworks.com/en/products_yed_about.html
  
  PR:             ports/142858
  Submitted by:   Eugene Mychlo <myc at barev.net>
  
  Revision  Changes    Path
  1.1309    +1 -0      ports/graphics/Makefile
  1.1       +42 -0     ports/graphics/yed/Makefile (new)
  1.1       +3 -0      ports/graphics/yed/distinfo (new)
  1.1       +3 -0      ports/graphics/yed/files/yed.in (new)
  1.1       +8 -0      ports/graphics/yed/pkg-descr (new)
  1.1       +4 -0      ports/graphics/yed/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2010-02-12 14:43:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2010-02-12 14:43:17 UTC
miwi        2010-02-12 14:43:04 UTC

  FreeBSD ports repository

  Modified files:
    .                    LEGAL 
  Log:
  - Add entry for graphics/yed
  
  PR:             142858
  
  Revision  Changes    Path
  1.615     +2 -1      ports/LEGAL
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"